# Class ProcessModel

#### Hierarchy

- unknown
  - ProcessModel

- Defined in src/protobuf/pb_pb.d.ts:6425
- Defined in src/protobuf/pb_pb.d.ts:6507

#####
Index

### Constructors

constructor

### Methods

clearArbitrator
clearMaker
clearPubKeyRing
clearTaker
clearTempTradePeerNodeAddress
getAccountId
getArbitrator
getBuyerPayoutAmountFromMediation
getFundsNeededForTrade
getMaker
getMakerSignature
getMakerSignature_asB64
getMakerSignature_asU8
getMediatedPayoutTxSignature
getMediatedPayoutTxSignature_asB64
getMediatedPayoutTxSignature_asU8
getMultisigAddress
getOfferId
getPaymentSentMessageState
getPaymentSentMessageStateArbitrator
getPayoutTxSignature
getPayoutTxSignature_asB64
getPayoutTxSignature_asU8
getPubKeyRing
getSellerPayoutAmountFromMediation
getTaker
getTempTradePeerNodeAddress
getTradeFeeAddress
getTradeProtocolErrorHeight
getUseSavingsWallet
hasArbitrator
hasMaker
hasPubKeyRing
hasTaker
hasTempTradePeerNodeAddress
serializeBinary
setAccountId
setArbitrator
setBuyerPayoutAmountFromMediation
setFundsNeededForTrade
setMaker
setMakerSignature
setMediatedPayoutTxSignature
setMultisigAddress
setOfferId
setPaymentSentMessageState
setPaymentSentMessageStateArbitrator
setPayoutTxSignature
setPubKeyRing
setSellerPayoutAmountFromMediation
setTaker
setTempTradePeerNodeAddress
setTradeFeeAddress
setTradeProtocolErrorHeight
setUseSavingsWallet
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ProcessModel(): ProcessModel

- #### Returns ProcessModel

  Inherited from jspb.Message.constructor

## Methods

### clearArbitrator

- clearArbitrator(): ProcessModel

- #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6472

### clearMaker

- clearMaker(): ProcessModel

- #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6462

### clearPubKeyRing

- clearPubKeyRing(): ProcessModel

- #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6435

### clearTaker

- clearTaker(): ProcessModel

- #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6467

### clearTempTradePeerNodeAddress

- clearTempTradePeerNodeAddress(): ProcessModel

- #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6477

### getAccountId

- getAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6429

### getArbitrator

- getArbitrator(): undefined | TradePeer

- #### Returns undefined | TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6469

### getBuyerPayoutAmountFromMediation

- getBuyerPayoutAmountFromMediation(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6487

### getFundsNeededForTrade

- getFundsNeededForTrade(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6445

### getMaker

- getMaker(): undefined | TradePeer

- #### Returns undefined | TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6459

### getMakerSignature

- getMakerSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6454

### getMakerSignature_asB64

- getMakerSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6456

### getMakerSignature_asU8

- getMakerSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6455

### getMediatedPayoutTxSignature

- getMediatedPayoutTxSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6482

### getMediatedPayoutTxSignature_asB64

- getMediatedPayoutTxSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6484

### getMediatedPayoutTxSignature_asU8

- getMediatedPayoutTxSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6483

### getMultisigAddress

- getMultisigAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6479

### getOfferId

- getOfferId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6426

### getPaymentSentMessageState

- getPaymentSentMessageState(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6448

### getPaymentSentMessageStateArbitrator

- getPaymentSentMessageStateArbitrator(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6451

### getPayoutTxSignature

- getPayoutTxSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6437

### getPayoutTxSignature_asB64

- getPayoutTxSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6439

### getPayoutTxSignature_asU8

- getPayoutTxSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6438

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:6432

### getSellerPayoutAmountFromMediation

- getSellerPayoutAmountFromMediation(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6490

### getTaker

- getTaker(): undefined | TradePeer

- #### Returns undefined | TradePeer

  - Defined in src/protobuf/pb_pb.d.ts:6464

### getTempTradePeerNodeAddress

- getTempTradePeerNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:6474

### getTradeFeeAddress

- getTradeFeeAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6496

### getTradeProtocolErrorHeight

- getTradeProtocolErrorHeight(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6493

### getUseSavingsWallet

- getUseSavingsWallet(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6442

### hasArbitrator

- hasArbitrator(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6471

### hasMaker

- hasMaker(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6461

### hasPubKeyRing

- hasPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6434

### hasTaker

- hasTaker(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6466

### hasTempTradePeerNodeAddress

- hasTempTradePeerNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6476

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6499

### setAccountId

- setAccountId(value: string): ProcessModel

- #### Parameters

  - ##### value: string

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6430

### setArbitrator

- setArbitrator(value?: TradePeer): ProcessModel

- #### Parameters

  - ##### `Optional` value: TradePeer

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6470

### setBuyerPayoutAmountFromMediation

- setBuyerPayoutAmountFromMediation(value: number): ProcessModel

- #### Parameters

  - ##### value: number

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6488

### setFundsNeededForTrade

- setFundsNeededForTrade(value: number): ProcessModel

- #### Parameters

  - ##### value: number

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6446

### setMaker

- setMaker(value?: TradePeer): ProcessModel

- #### Parameters

  - ##### `Optional` value: TradePeer

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6460

### setMakerSignature

- setMakerSignature(value: string | Uint8Array): ProcessModel

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6457

### setMediatedPayoutTxSignature

- setMediatedPayoutTxSignature(value: string | Uint8Array): ProcessModel

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6485

### setMultisigAddress

- setMultisigAddress(value: string): ProcessModel

- #### Parameters

  - ##### value: string

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6480

### setOfferId

- setOfferId(value: string): ProcessModel

- #### Parameters

  - ##### value: string

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6427

### setPaymentSentMessageState

- setPaymentSentMessageState(value: string): ProcessModel

- #### Parameters

  - ##### value: string

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6449

### setPaymentSentMessageStateArbitrator

- setPaymentSentMessageStateArbitrator(value: string): ProcessModel

- #### Parameters

  - ##### value: string

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6452

### setPayoutTxSignature

- setPayoutTxSignature(value: string | Uint8Array): ProcessModel

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6440

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing): ProcessModel

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6433

### setSellerPayoutAmountFromMediation

- setSellerPayoutAmountFromMediation(value: number): ProcessModel

- #### Parameters

  - ##### value: number

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6491

### setTaker

- setTaker(value?: TradePeer): ProcessModel

- #### Parameters

  - ##### `Optional` value: TradePeer

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6465

### setTempTradePeerNodeAddress

- setTempTradePeerNodeAddress(value?: NodeAddress): ProcessModel

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6475

### setTradeFeeAddress

- setTradeFeeAddress(value: string): ProcessModel

- #### Parameters

  - ##### value: string

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6497

### setTradeProtocolErrorHeight

- setTradeProtocolErrorHeight(value: number): ProcessModel

- #### Parameters

  - ##### value: number

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6494

### setUseSavingsWallet

- setUseSavingsWallet(value: boolean): ProcessModel

- #### Parameters

  - ##### value: boolean

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6443

### toObject

- toObject(includeInstance?: boolean): ProcessModel.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ProcessModel.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6500

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ProcessModel

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6503

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ProcessModel, reader: BinaryReader): ProcessModel

- #### Parameters

  - ##### message: ProcessModel

  - ##### reader: BinaryReader

  #### Returns ProcessModel

  - Defined in src/protobuf/pb_pb.d.ts:6504

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ProcessModel, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ProcessModel

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6502

### `Static` toObject

- toObject(includeInstance: boolean, msg: ProcessModel): ProcessModel.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ProcessModel

  #### Returns ProcessModel.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6501

Generated using TypeDoc